Subject: Re: setup.exe is too small
From: Robert Collins <[email-masked]>
To: Andrew DeFaria <[email-masked]>
Cc: [email-masked]
Date: 07 Mar 2003 19:24:39 +1100

On Fri, 2003-03-07 at 10:02, Andrew DeFaria wrote:
> Christopher Faylor wrote
> 
> > And, different agendas as well. No one in free software has to work on 
> > things that they don't want to work on.
> >
> > And, the theory that "You know how to do it. You're doing all this 
> > other stuff, why don't you do this too?" doesn't really sound right to me.
> 
> Chris do not view this as a justification for a "consumer" to demand 
> that a "producer" work for him. Rather I was trying to point out why a 
> "consumer" or a "semi-hacker" for that matter, might be reluctanct to 
> dive into a dev/patch project that they might view "over there head". 

If they aren't willing to dive in, then they still have options other
than asking for charity...

*) Contribute something for the feature. I.e. 'I'll write up a web page
detailing how to use various aspects of setup, IF you will make the
chooser resizable for me'.
*) Contract someone else to implement the feature for them. "I'll put
$20 into a pool for the programmer that completes the feature".

> IOW I don't think that just because it's Open Source and you *can* fix 
> it yourself, that a flippant "Fix it yourself!" response is warranted.

Conversely, neither is "Fix it for me!".

Rob
-- 
GPG key available at: <http://users.bigpond.net.au/robertc/keys.txt>.